//   Copyright 2011 Anaplan Inc.
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

package com.anaplan.client.serialization;

import com.anaplan.client.AnaplanAPIException;

/**
  * Used to indicate a failure to serialize a request body or deserialize a
  * response body.
  */

public class AnaplanAPISerializationException extends AnaplanAPIException {
    /**
      * Create an exception with the specified message
      */
    public AnaplanAPISerializationException(String message) {
        super(message);
    }
    /**
      * Create an exception with the specified message and cause
      */
    public AnaplanAPISerializationException(String message, Throwable cause) {
        super(message, cause);
    }
}
